# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "http-request"
version = "8.81.12"
authors = ["root@ltpp.vip"]
build = false
exclude = [
    "target",
    "Cargo.lock",
    "sh",
    ".github",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = 'http-request is a lightweight, efficient library for building, sending, and handling HTTP/HTTPS requests in Rust applications. It provides a simple and intuitive API, allowing developers to easily interact with web services, whether they use the "HTTP" or "HTTPS" protocol. The library supports various HTTP methods, custom headers, request bodies, timeout, automatic handling of redirects (including detecting redirect loops), and enhanced response body decoding (both automatic and manual), enabling fast and secure communication. Whether working with secure "HTTPS" connections or standard "HTTP" requests, the library is optimized for performance, minimal resource usage, and easy integration into Rust projects.'
readme = "README.md"
keywords = [
    "http",
    "request",
    "response",
    "tcp",
    "redirect",
]
categories = [
    "network-programming",
    "web-programming",
]
license = "MIT"
repository = "https://github.com/eastspire/http-request.git"

[lib]
name = "http_request"
path = "src/lib.rs"

[dependencies.http-type]
version = "4.20.0"

[dependencies.rustls]
version = "0.23.27"

[dependencies.serde]
version = "1.0.219"

[dependencies.serde_json]
version = "1.0.140"

[dependencies.webpki-roots]
version = "1.0.0"

[profile.dev]
opt-level = 3
lto = true
debug = 0
panic = "unwind"
incremental = true

[profile.release]
opt-level = 3
lto = true
debug = 0
panic = "unwind"
incremental = false
